Gecode::SearchTracer::NodeInfo Class Reference

Node information. More...

`#include <search.hh>`

## Public Member Functions

| NodeInfo (NodeType nt, unsigned int wid, unsigned int nid, const Space &s, const Choice *c=nullptr)
| Initialize node info.
NodeType | type (void) const
| Return node type.
unsigned int | wid (void) const
| Return worker id.
unsigned int | nid (void) const
| Return node id.
const Space & | space (void) const
| Return corresponding space.
const Choice & | choice (void) const
| Return corresponding choice.

## Protected Attributes

NodeType | _nt
| The node type.
unsigned int | _wid
| The worker id.
unsigned int | _nid
| The node id.
const Space & | _s
| The corresponding space.
const Choice * | _c
| The corresponding choice (nullptr if type is not BRANCH).

## Detailed Description

Node information.

Definition at line 282 of file search.hh.

## Constructor & Destructor Documentation

## NodeInfo()

Gecode::SearchTracer::NodeInfo::NodeInfo | ( | NodeType | nt,
|  | unsigned int | wid,
|  | unsigned int | nid,
|  | const Space & | s,
|  | const Choice * | c = nullptr )

inline

Initialize node info.

Definition at line 165 of file tracer.hpp.

## Member Function Documentation

## type()

SearchTracer::NodeType Gecode::SearchTracer::NodeInfo::type | ( | void |  | ) | const

inline

Return node type.

Definition at line 171 of file tracer.hpp.

## wid()

unsigned int Gecode::SearchTracer::NodeInfo::wid | ( | void |  | ) | const

inline

Return worker id.

Definition at line 176 of file tracer.hpp.

## nid()

unsigned int Gecode::SearchTracer::NodeInfo::nid | ( | void |  | ) | const

inline

Return node id.

Definition at line 181 of file tracer.hpp.

## space()

const Space & Gecode::SearchTracer::NodeInfo::space | ( | void |  | ) | const

inline

Return corresponding space.

Definition at line 186 of file tracer.hpp.

## choice()

const Choice & Gecode::SearchTracer::NodeInfo::choice | ( | void |  | ) | const

inline

Return corresponding choice.

Definition at line 191 of file tracer.hpp.

## Member Data Documentation

## _nt

NodeType Gecode::SearchTracer::NodeInfo::_nt

protected

The node type.

Definition at line 285 of file search.hh.

## _wid

unsigned int Gecode::SearchTracer::NodeInfo::_wid

protected

The worker id.

Definition at line 287 of file search.hh.

## _nid

unsigned int Gecode::SearchTracer::NodeInfo::_nid

protected

The node id.

Definition at line 289 of file search.hh.

## _s

const Space& Gecode::SearchTracer::NodeInfo::_s

protected

The corresponding space.

Definition at line 291 of file search.hh.

## _c

const Choice* Gecode::SearchTracer::NodeInfo::_c

protected

The corresponding choice (nullptr if type is not BRANCH).

Definition at line 293 of file search.hh.

The documentation for this class was generated from the following files:

- gecode/search.hh
- gecode/search/tracer.hpp